# Certificates and Witnesses for Probabilistic Model Checking -- Examples
This repo includes a jupyter notebook in which many of the examples from the thesis "Certificates and Witnesses for Probabilistic Model Checking" are made executable using the tool SWITSS.

## Preconditions

- Make sure the python package `virtualenv` is installed.
- Make sure [`graphviz`](https://www.graphviz.org/download/) is installed.

## Running the jupyter notebook

1. Adapt the variable `PYTHON` in `setup.sh` to link to the python installation you want to use.
2. Run `setup.sh`. A local python environment (using `virtualenv`) will be created in `switss_local_env`.
3. Activate the local python environment by running `source switss_local_env/bin/activate`.
4. Run `jupyter notebook examples.ipynb`. A jupyter notebook should open in your browser. The kernel it uses should be named `switss_local_env`.
